package com.acme.model.domain.ejf.vo;


import com.acme.model.domain.ejf.entity.Log;
import com.acme.structure.Template;
import com.acme.structure.util.DateUtility;

import java.util.Date;

public class LogFilterTemplate extends Template
{
    private Date fromDate;
    private Date toDate;
    private Log log;

    public LogFilterTemplate()
    {
        fromDate = DateUtility.addDaysToDate(DateUtility.clearTime(DateUtility.getToday()), -1);
        toDate = DateUtility.clearTime(DateUtility.getToday());
        log = new Log();
    }

    public void setFromDate(Date fromDate)
    {
        this.fromDate = fromDate;
    }

    public Date getFromDate()
    {
        return fromDate;
    }

    public void setToDate(Date toDate)
    {
        this.toDate = toDate;
    }

    public Date getToDate()
    {
        return toDate;
    }

    public void setLog(Log log)
    {
        this.log = log;
    }

    public Log getLog()
    {
        return log;
    }
}
